You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/graphics/k3d/Makefile 327733 2013-09-20 
18:35:44Z bapt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s/logs/k3d-0.8.0.2_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-10-17_23h06m42s
Log:

====>> Building graphics/k3d
build started at Fri Oct 18 08:52:09 UTC 2013
port directory: /usr/ports/graphics/k3d
building for: FreeBSD head-amd64-default-job-14 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/graphics/k3d/Makefile 327733 2013-09-20 
18:35:44Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=99954
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=k3d-0.8.0.2_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for k3d-0.8.0.2_1:
     3DS=off: 3ds_io plugin module
     COMPIZ=off: Compiz plugin module
     GNOME=off: GNOME integration plugin module
     GTS=off: GNU Triangulated Surfaces plugin module
     IMAGEMAGICK=off: ImageMagick file format module
     OPENEXR=off: OpenEXR file format module
     PERFTOOLS=off: Google Perftools profiling module
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" PYTHON="/usr/local/bin/python2.7" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" 
AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="gcc46" CFLAGS="-O2 -pipe 
-Wl,-rpath=/usr/local/lib/gcc46 -fno-strict-aliasing"  CPP="cpp46" CPPFLAGS=""  
LDFLAGS=" -Wl,-rpath=/usr/local/lib/gcc46"  CXX="g++46" CXXFLAGS="-O2 -pipe 
-Wl,-rpath=/usr/local/lib/gcc46 -fno-strict-aliasing 
-Wl,-rpath=/usr/local/lib/gcc46"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o r
 oot -g w
 heel -m 444"  BSD_INSTALL_MAN="install  -o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/k3d
DOCSDIR=/usr/local/share/doc/k3d
EXAMPLESDIR=/usr/local/share/examples/k3d
WWWDIR=/usr/local/www/k3d
ETCDIR=/usr/local/etc/k3d
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for k3d-0.8.0.2_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   k3d-0.8.0.2_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of k3d-0.8.0.2_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by k3d-0.8.0.2_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by k3d-0.8.0.2_1 for building
=> SHA256 Checksum OK for k3d-source-0.8.0.2.tar.bz2.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by k3d-0.8.0.2_1 for building
===>  Extracting for k3d-0.8.0.2_1
=> SHA256 Checksum OK for k3d-source-0.8.0.2.tar.bz2.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for k3d-0.8.0.2_1
===>  Applying FreeBSD patches for k3d-0.8.0.2_1
===========================================================================
=======================<phase: build-depends  >============================
===>   k3d-0.8.0.2_1 depends on file: /usr/local/include/gmm/gmm.h - not found
===>    Verifying install for /usr/local/include/gmm/gmm.h in 
/usr/ports/math/gmm++
===>   Installing existing package /packages/All/gmm++-4.2.txz
Installing gmm++-4.2... done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on file: /usr/local/bin/python2.7 - not found
===>    Verifying install for /usr/local/bin/python2.7 in 
/usr/ports/lang/python27
===>   Installing existing package /packages/All/python27-2.7.5_3.txz
Installing python27-2.7.5_3...Installing gettext-0.18.3.1... done
 done
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on executable: python - not found
===>    Verifying install for python in /usr/ports/lang/python
===>   Installing existing package /packages/All/python-2.7_1,2.txz
Installing python-2.7_1,2...Installing python2-2_1... done
 done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on file: /usr/local/bin/cmake - not found
===>    Verifying install for /usr/local/bin/cmake in /usr/ports/devel/cmake
===>   Installing existing package /packages/All/cmake-2.8.11.2.txz
Installing cmake-2.8.11.2...Installing cmake-modules-2.8.11.2_1... done
 done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on executable: gcc46 - not found
===>    Verifying install for gcc46 in /usr/ports/lang/gcc
===>   Installing existing package /packages/All/gcc-4.6.3.txz
Installing gcc-4.6.3...Installing mpfr-3.1.2...Installing gmp-5.1.3... done
 done
Installing mpc-0.9... done
Installing gcc-ecj-4.5... done
Installing binutils-2.23.2... done
 done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on file: /usr/local/bin/as - found
===>   k3d-0.8.0.2_1 depends on file: /usr/local/libdata/pkgconfig/glproto.pc - 
not found
===>    Verifying install for /usr/local/libdata/pkgconfig/glproto.pc in 
/usr/ports/x11/glproto
===>   Installing existing package /packages/All/glproto-1.4.16.txz
Installing glproto-1.4.16... done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on file: /usr/local/libdata/pkgconfig/dri2proto.pc 
- not found
===>    Verifying install for /usr/local/libdata/pkgconfig/dri2proto.pc in 
/usr/ports/x11/dri2proto
===>   Installing existing package /packages/All/dri2proto-2.8.txz
Installing dri2proto-2.8... done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on file: /usr/local/bin/intltool-extract - not 
found
===>    Verifying install for /usr/local/bin/intltool-extract in 
/usr/ports/textproc/intltool
===>   Installing existing package /packages/All/intltool-0.50.2.txz
Installing intltool-0.50.2...Installing p5-XML-Parser-2.41_1...Installing 
expat-2.1.0... done
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
 done
 done
===>   Returning to build of k3d-0.8.0.2_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   k3d-0.8.0.2_1 depends on shared library: libintl.so - found
===>   k3d-0.8.0.2_1 depends on shared library: libGLU.so - not found
===>    Verifying for libGLU.so in /usr/ports/graphics/libGLU
===>   Installing existing package /packages/All/libGLU-9.0.0.txz
<snip>
Installing libXi-1.7.2,1...Installing inputproto-2.3... done
 done
Installing libXcursor-1.1.14... done
Installing libXcomposite-0.4.4,1...Installing compositeproto-0.4.2... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing pangox-compat-0.0.2...Installing pango-1.34.1_1...Installing 
xorg-fonts-truetype-7.7_1...Installing mkfontscale-1.1.1...Installing 
libfontenc-1.1.2... done
Installing freetype2-2.5.0.1... done
 done
Installing mkfontdir-1.0.7... done
Installing fontconfig-2.10.95,1...Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing font-util-1.3.0... done
Installing font-misc-meltho-1.0.3... done
Installing font-misc-ethiopic-1.0.3... done
Installing font-bh-ttf-1.0.3... done
Installing encodings-1.0.4,1... done
Installing dejavu-2.34... done
 done
Installing libXft-2.3.1... done
Installing harfbuzz-0.9.19...Installing graphite2-1.2.3... done
Installing cairo-1.10.2_6,2...Installing pcre-8.33... done
Installing libffi-3.0.13... done
Installing glib-2.36.3...No schema files found: doing nothing.
 done
 done
 done
Installing gnomehier-3.0... done
 done
 done
Installing libXt-1.1.4,1... done
Installing libXmu-1.1.2,1... done
Installing gtk2-2.24.19_2...Installing cups-client-1.5.4_1... done
Installing shared-mime-info-1.1... done
Installing hicolor-icon-theme-0.12... done
Installing jasper-1.900.1_12... done
Installing gtk-update-icon-cache-2.24.19...Installing gdk-pixbuf2-2.28.2... done
Installing atk-2.8.0... done
 done
 done
 done
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on shared library: gtkmm-2.4 - not found
===>    Verifying install for gtkmm-2.4 in /usr/ports/x11-toolkits/gtkmm24
===>   Installing existing package /packages/All/gtkmm24-2.24.4.txz
Installing gtkmm24-2.24.4...Installing pangomm-2.28.4...Installing 
libxml++-2.34.2...Installing libsigc++-2.3.1... done
Installing glibmm-2.36.2,1... done
 done
Installing cairomm-1.10.0_1... done
 done
Installing atkmm-2.22.6... done
 done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on shared library: atk-1.0 - found
===>   k3d-0.8.0.2_1 depends on shared library: glib-2.0 - found
===>   k3d-0.8.0.2_1 depends on shared library: pcre - found
===>   k3d-0.8.0.2_1 depends on shared library: gtk-x11-2.0.0 - found
===>   k3d-0.8.0.2_1 depends on shared library: gtksourceview-2.0.0 - not found
===>    Verifying install for gtksourceview-2.0.0 in 
/usr/ports/x11-toolkits/gtksourceview2
===>   Installing existing package /packages/All/gtksourceview2-2.10.5_1.txz
Installing gtksourceview2-2.10.5_1...Installing polkit-0.105_1...Installing 
gnome_subr-1.0... done
Installing gobject-introspection-1.36.0_2... done
Installing dbus-1.6.12...===> Creating users and/or groups.
Creating group 'messagebus' with gid '556'.
Creating user 'messagebus' with uid '556'.
 done
 done
Installing libIDL-0.8.14_1... done
Installing gconf2-2.32.0_3...Installing dconf-0.14.1... done
Installing dbus-glib-0.100.2... done
Installing ORBit2-2.14.19... done
 done
 done
===>   Returning to build of k3d-0.8.0.2_1
===>   k3d-0.8.0.2_1 depends on shared library: xml2.5 - found
===>   k3d-0.8.0.2_1 depends on shared library: pango-1.0 - found
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for k3d-0.8.0.2_1
===>  Performing out-of-source build
/bin/mkdir -p /wrkdirs/usr/ports/graphics/k3d/work/.build
-- The C compiler identification is GNU 4.6.3
-- The CXX compiler identification is GNU 4.6.3
-- Check for working C compiler: /usr/local/bin/gcc46
-- Check for working C compiler: /usr/local/bin/gcc46 -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/local/bin/g++46
-- Check for working CXX compiler: /usr/local/bin/g++46 -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- checking the width of std::vector<>::size_type for this platform
--   std::vector<>::size_type is 64 bits
-- Looking for XOpenDisplay in 
/usr/local/lib/libX11.so;/usr/local/lib/libXext.so
-- Looking for XOpenDisplay in 
/usr/local/lib/libX11.so;/usr/local/lib/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/local/lib/libX11.so
-- Found OpenGL: /usr/local/lib/libGL.so  
-- Found ZLIB: /usr/lib/libz.so (found version "1.2.8") 
-- Found PNG: /usr/local/lib/libpng.so (found version "1.5.17") 
-- Found PythonInterp: /usr/local/bin/python2.7 (found suitable version 
"2.7.5", minimum required is "2.7") 
-- Found PythonLibs: /usr/local/lib/libpython2.7.so (found suitable version 
"2.7.5", minimum required is "2.7") 
-- checking for package 'EXPAT'
-- Found EXPAT: /usr/local/lib/libexpat.so (found version "2.1.0") 
--   found EXPAT
CMake Error at cmake/modules/K3DDependencies.cmake:18 (MESSAGE):
  Couldn't find glibmm, which is required to build K-3D.  You can obtain
  glibmm from http://gtkmm.org.
Call Stack (most recent call first):
  CMakeLists.txt:229 (K3D_CHECK_REQUIRED_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:18 (MESSAGE):
  Couldn't find libsigc++, which is required to build K-3D.  You can obtain
  libsigc++ from http://libsigc.sourceforge.net.
Call Stack (most recent call first):
  CMakeLists.txt:232 (K3D_CHECK_REQUIRED_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:18 (MESSAGE):
  Couldn't find uuid, which is required to build K-3D.  You can obtain uuid
  from http://www.ossp.org/pkg/lib/uuid.
Call Stack (most recent call first):
  CMakeLists.txt:238 (K3D_CHECK_REQUIRED_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:28 (MESSAGE):
  Couldn't find the freetype2 library, which is required by
  K3D_BUILD_FREETYPE2_MODULE.
Call Stack (most recent call first):
  CMakeLists.txt:247 (K3D_CHECK_OPTIONAL_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:28 (MESSAGE):
  Couldn't find the gtkglext library, which is required by
  K3D_BUILD_NGUI_MODULE.
Call Stack (most recent call first):
  CMakeLists.txt:253 (K3D_CHECK_OPTIONAL_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:28 (MESSAGE):
  Couldn't find the gtkmm library, which is required by
  K3D_BUILD_NGUI_MODULE.
Call Stack (most recent call first):
  CMakeLists.txt:254 (K3D_CHECK_OPTIONAL_DEPENDENCY)


CMake Error at cmake/modules/K3DDependencies.cmake:28 (MESSAGE):
  Couldn't find the cairomm library, which is required by
  K3D_BUILD_NGUI_PIPELINE_PANEL_MODULE.
Call Stack (most recent call first):
  CMakeLists.txt:255 (K3D_CHECK_OPTIONAL_DEPENDENCY)


-- Boost version: 1.52.0
-- Found the following Boost libraries:
--   date_time
--   program_options
--   regex
--   unit_test_framework
--   python
-- generating i18n catalog
--   done
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Configuring incomplete, errors occurred!
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/k3d
===>  Cleaning for k3d-0.8.0.2_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to